JSSE14SocketFactory (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.jsse.JSSE14SocketFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net.jsse
Class JSSE14SocketFactory

    java.lang.Object
      org.apache.tomcat.util.net.ServerSocketFactory
          org.apache.tomcat.util.net.jsse.JSSESocketFactory
              org.apache.tomcat.util.net.jsse.JSSE14SocketFactory

All Implemented Interfaces:
  java.lang.Cloneable

public class JSSE14SocketFactory
extends JSSESocketFactory

SSL server socket factory. It _requires_ a valid RSA key and JSSE.

Author:
  Harish Prabandham, Costin Manolache, Stefan Freyr Stefansson, EKR -- renamed to JSSESocketFactory, Jan Luehe

Field Summary
`protected boolean` | `requireClientAuth` Flag to state that we require client authentication.
`protected boolean` | `wantClientAuth` Flag to state that we would like client authentication.

Fields inherited from class org.apache.tomcat.util.net.jsse.JSSESocketFactory
`allowUnsafeLegacyRenegotiation, clientAuth, enabledCiphers, initialized, RFC_5746_SUPPORTED, sslProxy`

Fields inherited from class org.apache.tomcat.util.net.ServerSocketFactory
`attributes`

Constructor Summary
`JSSE14SocketFactory()`

Method Summary
`protected void` | `configureClientAuth(javax.net.ssl.SSLServerSocket socket)` Configure Client authentication for this version of JSSE.
`protected void` | `configureClientAuth(javax.net.ssl.SSLSocket socket)` Configure Client authentication for this version of JSSE.
`protected java.lang.String[]` | `getEnabledProtocols(javax.net.ssl.SSLServerSocket socket, java.lang.String requestedProtocols)`
`protected javax.net.ssl.KeyManager[]` | `getKeyManagers(java.lang.String keystoreType, java.lang.String algorithm, java.lang.String keyAlias)` Gets the initialized key managers.
`protected javax.net.ssl.TrustManager[]` | `getTrustManagers(java.lang.String keystoreType, java.lang.String algorithm)` Gets the intialized trust managers.
`protected void` | `setEnabledProtocols(javax.net.ssl.SSLServerSocket socket, java.lang.String[] protocols)` Set the SSL protocol variants to be enabled.

Methods inherited from class org.apache.tomcat.util.net.jsse.JSSESocketFactory
`acceptSocket, checkConfig, createSocket, createSocket, createSocket, getEnabledCiphers, getKeystore, getKeystorePassword, getTrustStore, handshake`

Methods inherited from class org.apache.tomcat.util.net.ServerSocketFactory
`getDefault, initSocket, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### requireClientAuth

    protected boolean requireClientAuth

  Flag to state that we require client authentication.

### wantClientAuth

    protected boolean wantClientAuth

  Flag to state that we would like client authentication.

Constructor Detail

### JSSE14SocketFactory

    public JSSE14SocketFactory()

Method Detail

### getKeyManagers

    protected javax.net.ssl.KeyManager[] getKeyManagers(java.lang.String keystoreType,
                                                        java.lang.String algorithm,
                                                        java.lang.String keyAlias)
                                                 throws java.lang.Exception

  Gets the initialized key managers.

  Throws:
    `java.lang.Exception`

### getTrustManagers

    protected javax.net.ssl.TrustManager[] getTrustManagers(java.lang.String keystoreType,
                                                            java.lang.String algorithm)
                                                     throws java.lang.Exception

  Gets the intialized trust managers.

  Throws:
    `java.lang.Exception`

### setEnabledProtocols

    protected void setEnabledProtocols(javax.net.ssl.SSLServerSocket socket,
                                       java.lang.String[] protocols)

  Description copied from class: `JSSESocketFactory`
  Set the SSL protocol variants to be enabled.

  Specified by:
    `setEnabledProtocols` in class `JSSESocketFactory`
  Parameters:
    `socket` - the SSLServerSocket.
    `protocols` - the protocols to use.

### getEnabledProtocols

    protected java.lang.String[] getEnabledProtocols(javax.net.ssl.SSLServerSocket socket,
                                                     java.lang.String requestedProtocols)

  Specified by:
    `getEnabledProtocols` in class `JSSESocketFactory`

### configureClientAuth

    protected void configureClientAuth(javax.net.ssl.SSLServerSocket socket)

  Description copied from class: `JSSESocketFactory`
  Configure Client authentication for this version of JSSE. The JSSE included in Java 1.4 supports the 'want' value. Prior versions of JSSE will treat 'want' as 'false'.

  Specified by:
    `configureClientAuth` in class `JSSESocketFactory`
  Parameters:
    `socket` - the SSLServerSocket

### configureClientAuth

    protected void configureClientAuth(javax.net.ssl.SSLSocket socket)

  Description copied from class: `JSSESocketFactory`
  Configure Client authentication for this version of JSSE. The JSSE included in Java 1.4 supports the 'want' value. Prior versions of JSSE will treat 'want' as 'false'.

  Specified by:
    `configureClientAuth` in class `JSSESocketFactory`
  Parameters:
    `socket` - the SSLSocket

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.